/* 
A program used to demonstrate file uploads with HTTPFileTransfer.cc

Author: Bowen Moursund
08/18/2000


To build this program:

compile :webwizards:Webclass.cc
compile UploadSample2.prg
compile HTTPFileTransfer.cc

build Upload.pro, HTTPFileTransfer.co, :webwizards:Webclass.co to ;
     "upload.exe" web



*/

try

   set procedure to HTTPFileTransfer.cc additive
   oCGI = new CGIUpload()
   oCGI.Connect()

catch (exception e)

   quit

endtry

try

   // Read the temp and upload server target paths from Upload.Ini.
   // Don't forget the trailing backslash!
   local oFile
   oFile = new file()
   oFile.open(_dbwinhome+"Upload.Ini", "R")

   store "" to oCGI.TempPath, oCGI.SavePath
   do while not oFile.eof()

      cLine = upper(oFile.gets())

      if "UPLOADTEMPPATH" $ cLine
         oCGI.TempPath = ltrim(substr(cLine, at("=", cLine)+1))
      endif

      if "UPLOADSAVEPATH" $ cLine
         oCGI.SavePath = ltrim(substr(cLine, at("=", cLine)+1))
      endif

   enddo

   oFile.close()

   if isblank(oCGI.TempPath) or isblank(oCGI.SavePath)

      e = new exception()
      e.filename = program(1)
      e.message = "ERROR: Could not find UploadTempPath or UploadSavePath in Upload.Ini"
      throw e

   else

      if right(oCGI.TempPath, 1) # "\"
         oCGI.TempPath += "\"
      endif      
      if right(oCGI.SavePath, 1) # "\"
         oCGI.SavePath += "\"
      endif      

   endif

   if oCGI.ReadMultipart()

      oCGI.StreamHeader('Upload File')
      oCGI.StreamBody('<h2><font face="Arial" color="teal">' +;
       'Upload File to Server</font></h2><font face="Arial" size="2">' +;
       'The upload to ' + oCGI.SavePath + ' was successful!</font>')
      oCGI.StreamFooter()
      
   else

      oCGI.StreamHeader('Upload File')
      oCGI.StreamBody('<h2><font face="Arial" color="teal">' +;
        'Upload File to Server</font></h2><font face="Arial" size="2">' +;
        'The upload was <b>NOT</b> successful! An error may have occured ' +;
        'on the server.</font>')
      oCGI.StreamFooter()

   endif

catch (exception e)

  oCGI.errorPage(e)  // trap any errors

endtry

oCGI = null // cleanup

quit

